{{page-title @model.feature.name}}

{{#if this.coverStyle}}
  <div class="cover-feature" style={{this.coverStyle}}></div>
{{/if}}

<div class="content-scroll">
  <div class="wrapper">
    <div class="section p-3 {{unless this.coverStyle 'pt-5 clearfix no-cover'}}">
      <h1 class="mt-3 small-title">
        <Article::Title @value={{@model.feature.contentBlocks}} />
        <VisibilityIcon @value={{@model.feature.visibility}} />
      </h1>

      {{#if this.enableShowMore}}
        <Link @to={{this.featureDetailsLink}} @space={{this.space.currentSpace}} class="ms-2 mb-2 btn-open btn btn-outline-secondary float-end">
          <FaIcon @icon="book-reader" />
          {{capitalize (t "show more")}}
        </Link>
      {{/if}}

      {{#if @model.icons}}
        <div class="icons p-0 mt-1">
          <Browse::Icon::List @icons={{@model.icons}} />
        </div>
      {{/if}}
    </div>

    <div class="p-3">
      {{#if @model.feature.canEdit}}
        <LinkTo target={{this.linkTarget}} @route="manage.features.edit" @model={{@model.feature.id}} @query={{hash embed=undefined}} class="ms-2 mb-2 btn-edit btn btn-outline-secondary float-end">
          <FaIcon @icon="pencil-alt" />
          {{capitalize (t "edit-label")}}
        </LinkTo>
      {{/if}}

      {{#if @model.feature.isMasked}}
        <p class="masked-info alert alert-info" role="alert">{{capitalize (t "masked feature info")}}</p>
      {{/if}}

      <Article::Viewer @value={{@model.feature.descriptionContentBlocks}} @target={{this.linkTarget}} />

      <Browse::SoundList class="clearfix" @sounds={{@model.sounds}} />

      <View::Feature::Attributes @value={{this.attributesPageColValue}} @model={{@model}} class="mt-2" />
    </div>
  </div>
</div>